package com.platform.modules.live.service;

import java.util.Map;

import com.baomidou.mybatisplus.service.IService;
import com.platform.common.utils.PageUtils;
import com.platform.modules.live.entity.LiveChannelEntity;

import net.sf.json.JSONArray;

/**
 * 现场栏目信息
 * 
 * @author weiyan
 * @email 
 * @date 2019-03-28 10:06:27
 */
public interface LiveChannelService extends IService<LiveChannelEntity> {
	
	PageUtils page(Map<String, Object> params);
	
	JSONArray getAllList();

	void save(LiveChannelEntity liveChannel, Long userId);

	void update(LiveChannelEntity liveChannel, Long userId);

	void deleteBatch(Integer[] ids, Long userId);
	
	void displayBatch(Integer[] ids, Long userId);
	
	void cancelDisplayBatch(Integer[] ids, Long userId);
	
	void priority(Integer[] ids,Integer[] prioritys,Long userId);
	
	JSONArray getRedisCache();

	/**
	 * 后台获取所有栏目
	 * */
	JSONArray getAllChannel();
	
}
